Module java.desktop
Package java.awt.desktop

# Interface PreferencesHandler

    public interface PreferencesHandler

An implementor is notified when the app is asked to show its preferences UI.

Since:
  9
See Also:
  `Desktop.setPreferencesHandler(PreferencesHandler)`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `handlePreferences​(PreferencesEvent e)` | Called when the app is asked to show its preferences UI.

## Method Details

### handlePreferences

void handlePreferences​(PreferencesEvent e)
Called when the app is asked to show its preferences UI.

Parameters:
  `e` - the request to show preferences